---
references:
- id: BishopPattern2006
  author:
    - family: Bishop
      given: Christopher M.
  call-number: Q327 .B52 2006
  citation-key: BishopPattern2006
  collection-title: Information science and statistics
  event-place: New York
  ISBN: 0-387-31073-8
  issued:
    - year: 2006
  number-of-pages: '738'
  publisher: Springer
  publisher-place: New York
  title: Pattern recognition and machine learning
  type: book

- id: BuntineOperations1994
  accessed:
    - year: 2021
      month: 11
      day: 12
  author:
    - family: Buntine
      given: W. L.
  citation-key: BuntineOperations1994
  container-title: Journal of Artificial Intelligence Research
  DOI: 10.1613/jair.62
  ISSN: 1076-9757
  issue: '1'
  issued:
    - year: 1994
      month: 12
      day: 1
  language: en
  page: 159-225
  title: Operations for Learning with Graphical Models
  type: article-journal
  volume: '2'

- id: DavisonFutureMapping2019
  accessed:
    - year: 2022
      month: 2
      day: 7
  author:
    - family: Davison
      given: Andrew J.
    - family: Ortiz
      given: Joseph
  citation-key: DavisonFutureMapping2019
  container-title: arXiv:1910.14139 [cs]
  issued:
    - year: 2019
      month: 10
      day: 30
  language: en
  title: 'FutureMapping 2: Gaussian Belief Propagation for Spatial AI'
  type: article-journal
  URL: http://arxiv.org/abs/1910.14139

- id: ErdogduInference2017
  accessed:
    - year: 2022
      month: 5
      day: 3
  author:
    - family: Erdogdu
      given: Murat A.
    - family: Deshpande
      given: Yash
    - family: Montanari
      given: Andrea
  citation-key: ErdogduInference2017
  container-title: arXiv:1709.06525 [cs, stat]
  issued:
    - year: 2017
      month: 9
      day: 19
  language: en
  title: Inference in Graphical Models via Semidefinite Programming Hierarchies
  type: article-journal
  URL: http://arxiv.org/abs/1709.06525

- id: HuangMaximumlikelihood2010
  accessed:
    - year: 2024
      month: 2
      day: 23
  author:
    - family: Huang
      given: Jim
    - family: Jojic
      given: Nebojsa
  citation-key: HuangMaximumlikelihood2010
  container-title: >-
    Proceedings of the Thirteenth International Conference on Artificial
    Intelligence and Statistics
  event-title: >-
    Proceedings of the Thirteenth International Conference on Artificial
    Intelligence and Statistics
  ISSN: 1938-7228
  issued:
    - year: 2010
      month: 3
      day: 31
  language: en
  page: 342-349
  publisher: JMLR Workshop and Conference Proceedings
  title: Maximum-likelihood learning of cumulative distribution functions on graphs
  type: paper-conference
  URL: https://proceedings.mlr.press/v9/huang10b.html

- id: KirkleyBelief2021
  accessed:
    - year: 2023
      month: 1
      day: 23
  author:
    - family: Kirkley
      given: Alec
    - family: Cantwell
      given: George T.
    - family: Newman
      given: M. E. J.
  citation-key: KirkleyBelief2021
  container-title: Science Advances
  DOI: 10.1126/sciadv.abf1211
  issue: '17'
  issued:
    - year: 2021
      month: 4
      day: 23
  page: eabf1211
  publisher: American Association for the Advancement of Science
  title: Belief propagation for networks with loops
  type: article-journal
  volume: '7'

- id: KollerProbabilistic2009
  author:
    - family: Koller
      given: Daphne
    - family: Friedman
      given: Nir
  citation-key: KollerProbabilistic2009
  event-place: Cambridge, MA
  ISBN: 0-262-01319-3
  issued:
    - year: 2009
  publisher: MIT Press
  publisher-place: Cambridge, MA
  title: 'Probabilistic graphical models : principles and techniques'
  type: book

- id: LiuBounding2011
  accessed:
    - year: 2023
      month: 2
      day: 14
  author:
    - family: Liu
      given: Qiang
    - family: Ihler
      given: Alexander
  citation-key: LiuBounding2011
  collection-title: ICML'11
  container-title: >-
    Proceedings of the 28th International Conference on International Conference
    on Machine Learning
  event-place: Madison, WI, USA
  ISBN: 978-1-4503-0619-5
  issued:
    - year: 2011
      month: 6
      day: 28
  page: 849–856
  publisher: Omnipress
  publisher-place: Madison, WI, USA
  title: Bounding the Partition Function using Hölder's Inequality
  type: paper-conference
  URL: https://icml.cc/2011/papers/459_icmlpaper.pdf

- id: NoorshamsBelief2013
  author:
    - family: Noorshams
      given: Nima
    - family: Wainwright
      given: Martin J.
  citation-key: NoorshamsBelief2013
  container-title: The Journal of Machine Learning Research
  container-title-short: J. Mach. Learn. Res.
  ISSN: 1532-4435
  issue: '1'
  issued:
    - year: 2013
      month: 1
      day: 1
  page: 2799–2835
  title: >-
    Belief propagation for continuous state spaces: stochastic message-passing
    with quantitative guarantees
  type: article-journal
  volume: '14'

- id: OrtizVisual2021
  accessed:
    - year: 2022
      month: 2
      day: 2
  author:
    - family: Ortiz
      given: Joseph
    - family: Evans
      given: Talfan
    - family: Davison
      given: Andrew J.
  citation-key: OrtizVisual2021
  container-title: arXiv:2107.02308 [cs]
  issued:
    - year: 2021
      month: 7
      day: 5
  title: A visual introduction to Gaussian Belief Propagation
  type: article-journal
  URL: http://arxiv.org/abs/2107.02308

- id: PearlFusion1986
  accessed:
    - year: 2016
      month: 9
      day: 23
  author:
    - family: Pearl
      given: Judea
  citation-key: PearlFusion1986
  container-title: Artificial Intelligence
  container-title-short: Artificial Intelligence
  DOI: 10.1016/0004-3702(86)90072-X
  ISSN: 0004-3702
  issue: '3'
  issued:
    - year: 1986
      month: 9
      day: 1
  page: 241-288
  title: Fusion, propagation, and structuring in belief networks
  type: article-journal
  URL: http://cs.ucla.edu/pub/stat_ser/r42-reprint.pdf
  volume: '29'

- id: PearlReverend1982
  author:
    - family: Pearl
      given: Judea
  citation-key: PearlReverend1982
  collection-title: AAAI'82
  container-title: Proceedings of the Second AAAI Conference on Artificial Intelligence
  event-place: Pittsburgh, Pennsylvania
  issued:
    - year: 1982
  page: 133–136
  publisher: AAAI Press
  publisher-place: Pittsburgh, Pennsylvania
  title: 'Reverend Bayes on inference engines: a distributed hierarchical approach'
  type: paper-conference
  URL: http://www.aaai.org/Papers/AAAI/1982/AAAI82-032.pdf

- id: SongKernel2011
  accessed:
    - year: 2024
      month: 2
      day: 22
  author:
    - family: Song
      given: Le
    - family: Gretton
      given: Arthur
    - family: Bickson
      given: Danny
    - family: Low
      given: Yucheng
    - family: Guestrin
      given: Carlos
  citation-key: SongKernel2011
  container-title: >-
    Proceedings of the Fourteenth International Conference on Artificial
    Intelligence and Statistics
  event-title: >-
    Proceedings of the Fourteenth International Conference on Artificial
    Intelligence and Statistics
  ISSN: 1938-7228
  issued:
    - year: 2011
      month: 6
      day: 14
  language: en
  page: 707-715
  publisher: JMLR Workshop and Conference Proceedings
  title: Kernel Belief Propagation
  type: paper-conference
  URL: http://arxiv.org/abs/1105.5592

- id: WiegerinckFractional2002
  accessed:
    - year: 2024
      month: 2
      day: 29
  author:
    - family: Wiegerinck
      given: Wim
    - family: Heskes
      given: Tom
  citation-key: WiegerinckFractional2002
  container-title: Advances in Neural Information Processing Systems
  event-place: Cambridge, MA, USA
  issued:
    - year: 2002
  publisher: MIT Press
  publisher-place: Cambridge, MA, USA
  title: Fractional Belief Propagation
  type: paper-conference
  URL: >-
    https://proceedings.neurips.cc/paper_files/paper/2002/hash/35936504a37d53e03abdfbc7318d9ec7-Abstract.html
  volume: '15'

- id: ZhouPGMax2023
  accessed:
    - year: 2023
      month: 5
      day: 14
  author:
    - family: Zhou
      given: Guangyao
    - family: Dedieu
      given: Antoine
    - family: Kumar
      given: Nishanth
    - family: Lehrach
      given: Wolfgang
    - family: Lázaro-Gredilla
      given: Miguel
    - family: Kushagra
      given: Shrinu
    - family: George
      given: Dileep
  citation-key: ZhouPGMax2023
  DOI: 10.48550/arXiv.2202.04110
  issued:
    - year: 2023
      month: 3
      day: 24
  number: arXiv:2202.04110
  publisher: arXiv
  title: >-
    PGMax: Factor Graphs for Discrete Probabilistic Graphical Models and Loopy
    Belief Propagation in JAX
  type: article
  URL: http://arxiv.org/abs/2202.04110
...
